:root {
    --text-with-backgroud: #F5F8FB;
    --base: #000887;
    --text: #1A1A1A;
    --accent-1: #FF65D6;
    --accent-2: #ED51C2;
}

@font-face {
    font-family: 'Epilogue';
    src: url('/fonts/Epilogue.ttf');
}

/* ------------------------
    BASE
-------------------------*/
* {
    box-sizing: border-box;
    font-family: 'Epilogue';
}

html, body {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
    font-size: 14px;
}

section {
    width: 100vw;
    padding: 15vh 5vw;
}

.nt-centered {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    width: 100%;
    text-align: center;
}

.nt-centered h3 {
    max-width: 70vw;
}

.nt-centered p {
    max-width: 400px;
}

/* ------------------------
    TEXT
-------------------------*/
h1 {
    font-size: 1rem;
    color: var(--text-with-backgroud);
}

h1 span {
    color: var(--accent-1);
}

h2 {
    margin: 0;
    font-size: 3rem;
    color: var(--base);
}

h2 span {
    color: var(--accent-2);
}

h3 {
    margin: 12px 0;
    font-size: 1.6rem;
    color: var(--base);
}

h3 span {
    color: var(--accent-2);
}

a, p, label {
    font-size: 1rem;
    font-weight: 300;
    line-height: 24px;
    color: var(--text);
}

p span {
    font-weight: 600;
    color: var(--accent-2);
}

/* ------------------------
    FORM
-------------------------*/
form {
    display: flex;
    flex-direction: column;
    gap: 25px;
    margin-top: 30px;
}

input, textarea {
    width: 90%;
    max-width: 500px;
    padding: 16px;
    background: rgba(242, 243, 246, .9);
    border: 0;
    border-radius: 2px;
    resize: none;
}

form p{
    margin: 0;
    color: var(--accent-2);
}

/* ------------------------
    BUTTONS
-------------------------*/
.nt-button {
    display: inline-block;
    margin: 10px 0;
    padding: 0 30px;
    padding-top: 2px;
    line-height: 46px;
    font-size: 14px;
    letter-spacing: 1px;
    color: var(--text-with-backgroud);
    background: var(--accent-1);
    text-decoration: none;
    border: 0;
    border-radius: 23px;
    cursor: pointer;
}

.nt-button:hover {
    filter: brightness(1.05);
}

.nt-button-2 {
    display: inline-block;
    margin: 10px 30px;
    padding-top: 2px;
    line-height: 46px;
    font-size: 14px;
    letter-spacing: 1px;
    color: var(--text-with-backgroud);
    background: unset;
    text-decoration: none;
    border: 0;
    cursor: pointer;
}

.nt-button-2:hover {
    color: #fff;
}

.nt-button-2 i {
    margin-top: 5px;
    margin-left: 10px;
}

/* ------------------------
    NAV
-------------------------*/
ul {
    display: flex;
    gap: 30px;
    margin: 0;
    padding: 0;
    list-style: none;
}

li a {
    font-size: 15px;
    font-weight: 300;
    color: var(--text-with-backgroud);
    text-decoration: none;
}

li a.current, li a:hover {
    border-bottom: 1px solid var(--text-with-backgroud);
}

ul.submenu{
    background: var(--base);
    display: flex;
    flex-direction: column;
    position: absolute;
    height: 0;
    overflow: hidden;
    gap: 0;
}

ul.submenu li{
    padding: 10px 10px;
}

li:hover ul.submenu, ul.submenu.active{
    height: auto;
}

/* ------------------------
    HEADER
-------------------------*/
header {
    position: absolute;
    top: 0;
    width: 100vw;
    padding: 2vh 5vw;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

header img {
    height: 40px;
}

header #menu-icon {
    display: none !important;
    font-size: 25px;
    color: var(--text-with-backgroud);
}

/* ------------------------
    FOOTER
-------------------------*/
footer {
    display: flex;
    flex-wrap: wrap;
    align-items: top;
    gap: 5vw;
    width: 100vw;
    padding: 15vh 5vw;
    background: var(--base);
}

footer img {
    height: 50px;
}

footer h4 {
    margin-top: 0;
    color: var(--accent-2);
}

footer p,
footer a {
    margin: 0;
    color: var(--text-with-backgroud);
}

/* ------------------------
    BANNER
-------------------------*/
.nt-banner {
    padding: 25vh 5vw;
    align-items: center;
}

.nt-banner h2, .nt-banner:not(:has(h2)) h1 {
    margin: 0;
    font-size: 6.43rem;
    color: var(--text-with-backgroud);
}

.nt-banner h2 span, .nt-banner:not(:has(h2)) h1 span {
    color: var(--accent-1);
}

/* ------------------------
    LIST
-------------------------*/
.nt-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10vh 7vw;
    padding-top: 5vw;
    text-align: center;
}

.nt-list div {
    max-width: 280px;
}

.nt-list img {
    height: 95px;
}

.nt-list p {
    font-weight: 300;
}

/* ------------------------
    DIVIDED
-------------------------*/
.nt-divided {
    display: grid;
    justify-content: space-between;
    background: var(--base);
    background-size: cover;
    background-position: center;
}

.nt-divided > div:empty {
    min-height: 60vh;
}

.nt-divided h2,
.nt-divided h3,
.nt-divided p,
.nt-divided label {
    color: var(--text-with-backgroud);
}

/* ------------------------
    NUMBERED
-------------------------*/
.nt-numbered {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 2vw;
    width: 90%;
    margin-top: 10vh;
}

.nt-numbered span {
    min-width: 75px;
    font-size: 120px;
    font-weight: 700;
    text-align: center;
    color: var(--accent-1);
}

/* ------------------------
    RESPONSIVE
-------------------------*/
@media (max-width: 768px) {

    h2 { font-size: 2.2rem; }
    h3 { font-size: 1.5rem; }

    section {
        padding: 15vh 10vw !important;
    }

    .nt-button-2 {
        display: block;
        margin: 10px;
    }

    ul {
        position: absolute;
        top: -70vh;
        left: 0;
        width: 100vw;
        padding: 10vh 10vw 5vh;
        display: flex;
        flex-direction: column;
        text-align: right;
        background: var(--base);
        z-index: 998;
        transition: top 0.5s;
    }

    ul.submenu{
        position: static;
        padding: 0;
        width: auto;
    }

    ul.submenu li{
        padding: 20px 10px 0 0;
    }

    ul.open {
        top: 0;
    }

    header img,
    header #menu-icon {
        position: relative;
        z-index: 999;
    }

    header #menu-icon {
        display: inline-block !important;
    }

    .nt-banner h2, .nt-banner:not(:has(h2)) h1 {
        font-size: 2.9rem;
    }

    .nt-divided {
        display: block;
    }

    .nt-divided > div {
        margin-top: 5vh;
    }

    .nt-divided > div:empty {
        min-height: 50vh;
    }

    footer {
        padding: 15vh 10vw;
    }
}

@media (min-width: 1500px) {

    header {
        padding: 2vh calc((100vw - 1500px) / 2) !important;
    }

    section,
    footer {
        padding: 15vh calc((100vw - 1500px) / 2) !important;
    }
}